#!/bin/sh

BLE_ID=$1
BLE_ID2=$2
SEND_URL=$3

LOG_ID=`echo $BLE_ID | sed -e "s/:/-/g"`
LOG_ID2=`echo $BLE_ID2 | sed -e "s/:/-/g"`

echo "date=none" > /root/log_ism_env_$LOG_ID.txt
echo "time=none" > /root/log_ism_motion_$LOG_ID.txt

echo "date2=none" > /root/log_ism_env_$LOG_ID2.txt
echo "time2=none" > /root/log_ism_motion_$LOG_ID2.txt

/root/set_bluez_iotsmart.sh $BLE_ID
/root/set_bluez_iotsmart.sh $BLE_ID2

CONNECT_ID="id=$BLE_ID"
ENV_DATA=0
MOTION_DATA=0

CONNECT_ID2="id2=$BLE_ID2"
ENV_DATA2=0
MOTION_DATA2=0

gatttool -i hci0 -b $BLE_ID --char-write-req -a 0x0013 -n 0100 --listen | /root/bluez_ism $LOG_ID &
gatttool -i hci0 -b $BLE_ID2 --char-write-req -a 0x0013 -n 0100 --listen | /root/bluez_ism $LOG_ID2 &

while :
do
  ENV_DATA=`cat /root/log_ism_env_$LOG_ID.txt`
  MOTION_DATA=`tail -n 1 /root/log_ism_motion_$LOG_ID.txt`
  ENV_DATA2=`cat /root/log_ism_env_$LOG_ID2.txt | sed -e "s/=/2=/g"`
  MOTION_DATA2=`tail -n 1 /root/log_ism_motion_$LOG_ID2.txt | sed -e "s/=/2=/g`
  echo
  echo 1 > /sys/class/leds/led3/brightness
  wget -O- -q --post-data="$CONNECT_ID&$ENV_DATA&$MOTION_DATA&$CONNECT_ID2&$ENV_DATA2&$MOTION_DATA2" $SEND_URL
  echo 0 > /sys/class/leds/led3/brightness
  sleep 7
done
